Page MenuHomePhabricator

[Task] Do not show calendar model with precision 10 years or larger
Closed, ResolvedPublic

Description

Example: https://www.wikidata.org/wiki/Q20018609 contains (valid) qualifiers with "900 million years BCE Gregorian. In such cases the added "Gregorian" is almost totally pointless. It does not add any information that's useful. All you can learn from that is how the value is stored internally.

This is very similar to a TimeValue with precision month, where we do not show the day, even if it exists internally. Displaying it would not add useful information, only confusion.

I propose to almost revert the formatter back to how it was originally: Stop showing any calendar model indicator when the precision is so rough that it does not make a difference anyway. Originally the formatter did that starting from month precision. I think this was to early. Something that happened in 1499 Julian may have happened in 1500 Gregorian. I suggest to do that stating at precision 10 years (that's constant 8).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2016, 8:59 AM
Lydia_Pintscher triaged this task as High priority.May 3 2016, 10:44 AM

Change 297397 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not show calendar model with precision 10 years or larger

https://gerrit.wikimedia.org/r/297397

thiemowmde moved this task from ready to go to in progress on the Wikidata board.

Change 297397 merged by jenkins-bot:
Do not show calendar model with precision 10 years or larger

https://gerrit.wikimedia.org/r/297397

thiemowmde closed this task as Resolved.Jul 6 2016, 5:13 PM
thiemowmde claimed this task.
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-07-05 board.